<template>
  <el-container>
    <el-aside>
      <basic-container style="overflow: hidden;">
        <!--          树组件-->
        <master-tree @codeClassifyOid="codeClassifyOidList" @coderuleoid="coderuleoidList" :pageSize="this.pageSize"
          :currentPage="this.currentPage" @tableDataArray="tableDataArrays" @tableHeadDataFateher="tableHeadDatas"
          @tableHeadBttoms="tableHeadBttoms" @total="totals" @nodeClick="nodeClick"
          @tableHeadFindData="tableHeadFindDatas" @Treedata="TreedataList" @TreeValue="TreeValueEmit"></master-tree>
      </basic-container>
    </el-aside>
    <el-main>
      <!--        表格组件-->
      <VciMasterCrud :page="this.page" :codeClassifyOid="this.codeClassifyOid" :coderuleoid="this.coderuleoid"
        @pageSize="pageSizes" @currentPage="currentPages" :tableDataArray="tableDataArray" :total="this.total"
        :tableHeadDataFateher="this.tableHeadDataFateher" :isLoading="isLoading" :templateOid="templateOid"
        :tableHeadFindData="tableHeadFindData" :tableHeadBtnData="masterVrBtnList" :Treedata="Treedata" :TreeValue="TreeValue"></VciMasterCrud>
    </el-main>
  </el-container>
</template>

<script>
export default {
  name: "items.vue",
  data() {
    return {
      // 分页
      page: {
        total: 0,
        currentPage: 1,
        pageSize: 100,
        pageSizes: [10, 30, 50, 100, 200],
      },
      pageSize: "100",
      currentPage: "1",
      codeClassifyOid: "",
      coderuleoid: "",
      Treedata:[],
      templateOid: "",
      tableDataArray: [],
      masterVrBtnList: [],
      tableHeadDataFateher: [],
      total: "",
      isLoading: false,
      tableHeadFindData: {},
      TreeValue:''
    }
  },
  created() {
  },
  methods: {
    TreeValueEmit(val){
      this.TreeValue=val
    },
    codeClassifyOidList(val) {
      this.codeClassifyOid = val;
    },
    coderuleoidList(val) {
      this.coderuleoid = val;
    },
    TreedataList(val){
      this.Treedata=val
    },
    pageSizes(val) {
      this.pageSize = val
    },
    currentPages(val) {
      this.currentPage = val
    },
    tableDataArrays(val) {
      this.tableDataArray = val
    },
    totals(val) {
      this.total = val
    },
    tableHeadDatas(val) {
      this.tableHeadDataFateher = val
    },
    tableHeadFindDatas(val) {
      this.tableHeadFindData = val
    },
    nodeClick(val) {
      this.templateOid = val;
      this.isLoading = true;
      setTimeout(() => {
        this.isLoading = false;
      }, 2000);
    },
    tableHeadBttoms(val) {
      this.masterVrBtnList = val
    },
  }
}
</script>

<style scoped>

</style>
